Acknowledge voice orchestrator task
import requests
url = "https://api.datagrid.com/v1/voice-orchestrator/tasks/{task_id}/acknowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/voice-orchestrator/tasks/{task_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.datagrid.com/v1/voice-orchestrator/tasks/{task_id}/acknowledge \
--header 'Authorization: Bearer <token>'{
"task_id": "<string>",
"status": "queued",
"task": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"agent_id": "<string>",
"parent_task_id": "<string>",
"result": "<string>",
"error_message": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"pending_action": {
"payload_id": "<string>",
"action_name": "<string>",
"agent_explanation": "<string>",
"tool_id": "<string>",
"submit_button_text": "<string>",
"connector_id": "<string>"
}
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Voice
Acknowledge voice orchestrator task
PATCH
/
voice-orchestrator
/
tasks
/
{task_id}
/
acknowledge
Acknowledge voice orchestrator task
import requests
url = "https://api.datagrid.com/v1/voice-orchestrator/tasks/{task_id}/acknowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/voice-orchestrator/tasks/{task_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.datagrid.com/v1/voice-orchestrator/tasks/{task_id}/acknowledge \
--header 'Authorization: Bearer <token>'{
"task_id": "<string>",
"status": "queued",
"task": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"agent_id": "<string>",
"parent_task_id": "<string>",
"result": "<string>",
"error_message": "<string>",
"acknowledged_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"pending_action": {
"payload_id": "<string>",
"action_name": "<string>",
"agent_explanation": "<string>",
"tool_id": "<string>",
"submit_button_text": "<string>",
"connector_id": "<string>"
}
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Acknowledged voice orchestrator task
cancelled is reserved for terminal task records produced by future cancellation flows; this API does not currently expose a cancel operation.
Available options:
queued, running, completed, failed, cancelled Present when this task was created by follow_up_task to continue an earlier delegated task.
Present on retrieve responses when a user-owned task has a result. Omitted from list responses.
Present on retrieve responses when the delegated agent halted on an approval-required action that is still awaiting user review. Omitted from list responses and once the action has been submitted.
Show child attributes
Show child attributes